Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.mock
Class WsdlMockRunContext

    java.lang.Object
      com.eviware.soapui.impl.wsdl.mock.WsdlMockRunContext

All Implemented Interfaces:
  SubmitContext, MockRunContext, TestRunContext, java.util.Map<java.lang.String,java.lang.Object>

    public class WsdlMockRunContext

extends java.lang.Object
implements MockRunContext, java.util.Map<java.lang.String,java.lang.Object>, TestRunContext

MockRunContext available during dispatching of a WsdlMockRequest

Author:
  ole.matzura

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestRunContext
`LOAD_TEST_CONTEXT, LOAD_TEST_RUNNER, RUN_COUNT, THREAD_INDEX`

Fields inherited from interface com.eviware.soapui.model.iface.SubmitContext
`HTTP_STATE_PROPERTY, PROPERTY_SEPARATOR`

Constructor Summary
`WsdlMockRunContext(WsdlMockService mockService, WsdlTestRunContext context)`

Method Summary
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `containsKey(java.lang.Object arg0)`
`boolean` | `containsValue(java.lang.Object arg0)`
`java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>>` | `entrySet()`
`boolean` | `equals(java.lang.Object arg0)`
`java.lang.Object` | `get(java.lang.Object arg0)`
`TestStep` | `getCurrentStep()`
`int` | `getCurrentStepIndex()`
`WsdlMockService` | `getMockService()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String testStep, java.lang.String propertyName)`
`TestCase` | `getTestCase()`
`TestRunner` | `getTestRunner()`
`int` | `hashCode()`
`boolean` | `hasProperty(java.lang.String name)`
`boolean` | `isEmpty()`
`java.util.Set<java.lang.String>` | `keySet()`
`java.lang.Object` | `put(java.lang.String arg0, java.lang.Object arg1)`
`void` | `putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> arg0)`
`java.lang.Object` | `remove(java.lang.Object arg0)`
`java.lang.Object` | `removeProperty(java.lang.String name)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`int` | `size()`
`java.lang.String` | `toString()`
`StringToStringMap` | `toStringToStringMap()`
`java.util.Collection<java.lang.Object>` | `values()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WsdlMockRunContext

    public WsdlMockRunContext(WsdlMockService mockService,
                              WsdlTestRunContext context)

Method Detail

### getMockService

    public WsdlMockService getMockService()

  Specified by:
    `getMockService` in interface `MockRunContext`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Specified by:
    `getProperty` in interface `SubmitContext`
  Specified by:
    `getProperty` in interface `MockRunContext`

### hasProperty

    public boolean hasProperty(java.lang.String name)

  Specified by:
    `hasProperty` in interface `SubmitContext`
  Specified by:
    `hasProperty` in interface `MockRunContext`

### removeProperty

    public java.lang.Object removeProperty(java.lang.String name)

  Specified by:
    `removeProperty` in interface `SubmitContext`
  Specified by:
    `removeProperty` in interface `MockRunContext`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Specified by:
    `setProperty` in interface `SubmitContext`
  Specified by:
    `setProperty` in interface `MockRunContext`

### toStringToStringMap

    public StringToStringMap toStringToStringMap()

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### containsKey

    public boolean containsKey(java.lang.Object arg0)

  Specified by:
    `containsKey` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### containsValue

    public boolean containsValue(java.lang.Object arg0)

  Specified by:
    `containsValue` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### entrySet

    public java.util.Set<java.util.Map.Entry<java.lang.String,java.lang.Object>> entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### equals

    public boolean equals(java.lang.Object arg0)

  Specified by:
    `equals` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `equals` in class `java.lang.Object`

### get

    public java.lang.Object get(java.lang.Object arg0)

  Specified by:
    `get` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map<java.lang.String,java.lang.Object>`
  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### keySet

    public java.util.Set<java.lang.String> keySet()

  Specified by:
    `keySet` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### put

    public java.lang.Object put(java.lang.String arg0,
                                java.lang.Object arg1)

  Specified by:
    `put` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### putAll

    public void putAll(java.util.Map<? extends java.lang.String,? extends java.lang.Object> arg0)

  Specified by:
    `putAll` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### remove

    public java.lang.Object remove(java.lang.Object arg0)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### values

    public java.util.Collection<java.lang.Object> values()

  Specified by:
    `values` in interface `java.util.Map<java.lang.String,java.lang.Object>`

### getCurrentStep

    public TestStep getCurrentStep()

  Specified by:
    `getCurrentStep` in interface `TestRunContext`

### getCurrentStepIndex

    public int getCurrentStepIndex()

  Specified by:
    `getCurrentStepIndex` in interface `TestRunContext`

### getProperty

    public java.lang.Object getProperty(java.lang.String testStep,
                                        java.lang.String propertyName)

  Specified by:
    `getProperty` in interface `TestRunContext`

### getTestRunner

    public TestRunner getTestRunner()

  Specified by:
    `getTestRunner` in interface `TestRunContext`

### getTestCase

    public TestCase getTestCase()

  Specified by:
    `getTestCase` in interface `TestRunContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.